Subject: bug#905: [devuan-dev] bug#905: brltty: spams syslog with file system mount error: usbfs[brltty-usbfs] -> /run/brltty/usbfs: No such device

From: Olaf Meeuwissen <[email-masked]>
Date: Sat, 30 Aug 2025 10:14:07 +0900

Hi,

Mark Hindley <[email-masked]> writes:

> Control: tags -1 debian
> Control: forwarded -1 https://bugs.debian.org/845496
>
> Andrew,
>
> Thanks for this.
>
> On Fri, Aug 29, 2025 at 10:50:01AM +0100, Andrew Bower wrote:
>> This messages is repeated every second:
>>
>> 2025-08-29_09:04:24.53478 daemon.err: Aug 29 10:04:24 brltty[4856]: file
>> system mount error: usbfs[brltty-usbfs] -> /run/brltty/usbfs: No such device
>
> There is a longstanding Debian bug from 2016 relating to this[1], notably, also
> in a VM.  That suggests to me that it is unlikely to be a recently introduced
> Devuan-specific issue. It may even be VM-specific.

I don't know if it's relevant but when I worked on USB scanner support
and tried using such a scanner from within a VM I vaguely recall having
to do something special to make sure that the host's USB device info was
available in the VM.  This was about a decade ago so I don't remember
the details.

> If you can identify a workaround that is actionable in already forked packages,
> please do share it.
>
> Thanks
>
> Mark
>
> [1] https://bugs.debian.org/845496

Hope this helps,
--
Olaf Meeuwissen